Subject: Rochester Public Utilities Preliminary O&M Estimate
From: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 16 Feb 2000 08:17:00 -0800 (PST)

Ben, please find attached below the preliminary O&M cost estimate for RPU's 
O&M services to mobilize and operate the 1 x LM6000 peaking facility to be 
situated in Rochester, Minnesota.   As we discussed, it assumes that 
Rochester Public Utilities has no existing staff and infrastructure in the 
area, but if this assumption should change, then Mobilization and annual 
Operating fixed O&M could be reduced as a result of leveraging existing RPU 
staff and facilities. Please review it and consider its accuracy to be +/- 
25%. Call if you have any questions.